Name:          festival
Version:       2.4
Release:       1mamba
Summary:       A general framework for building speech synthesis systems
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cstr.ed.ac.uk/projects/festival/
Source:        http://festvox.org/packed/festival/latest/festival-%{version}-release.tar.gz
Source1:       http://www.cstr.ed.ac.uk/downloads/festival/latest/speech_tools-%{version}-release.tar.gz
Source2:       http://festvox.org/packed/festival/latest/festlex_CMU.tar.gz
Source3:       http://festvox.org/packed/festival/latest/festlex_OALD.tar.gz
Source4:       http://festvox.org/packed/festival/latest/festlex_POSLEX.tar.gz
Source5:       http://festvox.org/packed/festival/latest/festvox_kallpc16k.tar.gz
Source6:       http://festvox.org/packed/festival/latest/festvox_kedlpc8k.tar.gz
Source7:       http://festvox.org/packed/festival/latest/festvox_kedlpc16k.tar.gz
Source8:       http://downloads.sourceforge.net/sourceforge/it-festival/Italian-FESTIVAL.zip
Source9:       http://festvox.org/packed/festival/latest/festvox_cmu_us_awb_arctic_hts.tar.gz
Source10:      http://festvox.org/packed/festival/latest/festvox_cmu_us_bdl_arctic_hts.tar.gz
Source11:      http://festvox.org/packed/festival/latest/festvox_cmu_us_jmk_arctic_hts.tar.gz
Source12:      http://festvox.org/packed/festival/latest/festvox_cmu_us_slt_arctic_hts.tar.gz
Source13:      http://festvox.org/packed/festival/latest/festvox_cstr_us_awb_arctic_multisyn-1.0.tar.gz
Source14:      http://festvox.org/packed/festival/latest/festvox_cstr_us_jmk_arctic_multisyn-1.0.tar.gz
Source15:      http://festvox.org/packed/festival/latest/festvox_us1.tar.gz
Source16:      http://festvox.org/packed/festival/latest/festvox_us2.tar.gz
Source17:      http://festvox.org/packed/festival/latest/festvox_us3.tar.gz
Source18:      http://www2.pd.istc.cnr.it/FESTIVAL/ogi/OGIresLPC-2.2.tar.gz
Patch0:        festival-1.96-enable_esd_audio.patch
Patch1:        festival-1.96-gcc43.patch
Patch2:        festival-1.96-gcc44.patch
Patch3:        festival-1.96-etcsiteinit.patch
Patch4:        festival-1.96-main-shared-build.patch
Patch5:        festival-1.96-kludge-etcpath-into-libarch.patch
Patch6:        festival-1.96-speechtools-ohjeezcxxisnotgcc.patch
Patch7:        festival-1.96-bettersonamehack.patch
Patch8:        festival-1.96-no-shared-data.patch
Patch9:        festival-1.96-speechtools-linklibswithotherlibs.patch
Patch10:       festival-1.96-speechtools-1.2.96-beta+awb.patch
Patch11:       speech_tools-2.1-gcc-4.7.patch
Patch12:       %{name}-2.1-OGIresLPC-gcc-4.7.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libgcc
BuildRequires: libncurses-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libesound-devel >= 0.2.36
Requires:      festivalvoice
Requires:      festival-voice-en = %{version}
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Festival offers a general framework for building speech synthesis systems as well as including examples of various modules. As a whole it offers full text to speech through a number APIs: from shell level, though a Scheme command interpreter, as a C++ library, from Java, and an Emacs interface. Festival is multi-lingual (currently English (British and American), and Spanish) though English is the most advanced. Other groups release new languages for the system. And full tools and documentation for build new voices are available through Carnegie Mellon's FestVox project (http://festvox.org) 
The system is written in C++ and uses the Edinburgh Speech Tools Library for low level architecture and has a Scheme (SIOD) based command interpreter for control. Documentation is given in the FSF texinfo format which can generate, a printed manual, info files and HTML. 
Festival is free software. Festival and the speech tools are distributed under an X11-type licence allowing unrestricted commercial and non-commercial use alike.

%package voice-us
Summary:       American English language voice files for festival
Group:         System/Multimedia
Requires:      %{name} = %{version}-%{release}
Provides:      festivalvoice

%description voice-us
American English language voice files for festival.

%package voice-en
Summary:       English language voice files for festival
Group:         System/Multimedia
Requires:      %{name} = %{version}-%{release}
Provides:      festivalvoice

%description voice-en
English language voice files for festival.

%package voice-it
Summary:       Italian language voice files for festival
Group:         System/Multimedia
Requires:      %{name} = %{version}-%{release}
Provides:      festivalvoice

%description voice-it
English language voice files for festival.

%prep
#% setup -q -n %{name}
#-D -T
#:<< __EOF
%setup -q -c -a0 -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17 -a18
unzip italian_scm.zip
unzip lex_ifd.zip
unzip lp_diphone.zip
unzip lp_mbrola_unix.zip
unzip lp_ogi_diphone.zip
unzip pc_diphone.zip
unzip pc_mbrola_unix.zip
unzip pc_ogi_diphone.zip

#%patch1 -p0
#%patch2 -p0
%patch3 -p0
#%patch4 -p0
#%patch5 -p0
%patch6 -p0
#%patch7 -p0
#%patch8 -p0
#%patch9 -p0
#%patch10 -p0
#cd speech_tools
#%patch11 -p1
#cd ..
%patch12 -p1

echo "ALSO_INCLUDE += OGIcommon OGIeffect OGIinsert OGIdbase" >> festival/config/config.in
# FIXME: patched to build but main final link fails with this module
# OGIresLPC

%build
#:<< __EOF
cd speech_tools
%configure
%make -j1
# libs="-L$(pwd)/lib"
#    CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing" \
#    CXXFLAGS="$RPM_OPT_FLAGS  -fPIC -fno-strict-aliasing"

cd ../festival
#export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$(pwd)/src/lib
%configure
%make -j1 FTLIBDIR=%{_datadir}/festival/lib
#    CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing" \
#    CXXFLAGS="$RPM_OPT_FLAGS  -fPIC -fno-strict-aliasing"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd speech_tools
#make INSTALLED_LIB=%{buildroot}%{_libdir} make_installed_lib_shared
#install lib/libestools.so* %{buildroot}%{_libdir}
make INSTALLED_BIN=%{buildroot}%{_libexecdir}/speech-tools make_installed_bin_static
#cd include
#for d in $( find . -type d | grep -v win32 ); do
#   make -w -C $d INCDIR=%{buildroot}%{_includedir}/speech_tools/$d install_incs
#done
cd ..

cd festival
make INSTALLED_BIN=%{buildroot}%{_bindir} make_installed_bin_static

# remove builddir inserted in some scripts
sed -i "s|%{_builddir}/%{name}-%{version}/%{name}|%{_prefix}|" \
   bin/text2wave examples/saytime

install -D -m0755 bin/text2wave %{buildroot}%{_bindir}
install -D -m0755 examples/saytime %{buildroot}%{_bindir}

#install -D -m0755 festival/src/main/festival %{buildroot}%{_bindir}/festival
#install -D -m0755 festival/src/main/festival_client %{buildroot}%{_bindir}/festival_client
#cp src/lib/libFestival.so* %{buildroot}%{_libdir}

install -d %{buildroot}%{_datadir}/festival %{buildroot}%{_sysconfdir}/festival %{buildroot}%{_mandir}/man1
cp -a lib %{buildroot}%{_datadir}/festival/
mv %{buildroot}%{_datadir}/festival/lib/siteinit.scm %{buildroot}%{_sysconfdir}/festival/
cp -a doc/*.1 %{buildroot}%{_mandir}/man1

#mkdir -p %{buildroot}%{_includedir}/festival
#cp -a src/include/* %{buildroot}%{_includedir}/festival

rm -rf %{buildroot}%{_datadir}/festival/lib/voices-multisyn/english
rm -f %{buildroot}%{_datadir}/festival/lib/Makefile
rm -f %{buildroot}%{_datadir}/festival/lib/multisyn/Makefile
rm -f %{buildroot}%{_datadir}/festival/lib/etc/Makefile

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/festival
%config(noreplace) %{_sysconfdir}/festival/*.scm
%{_bindir}/festival
%{_bindir}/festival_client
%{_bindir}/festival_server
%{_bindir}/festival_server_control
%{_bindir}/saytime
%{_bindir}/text2wave
%{_libexecdir}/speech-tools/*
#%dir %{_includedir}/festival
#%{_includedir}/festival/*
#%dir %{_includedir}/speech_tools
#%{_includedir}/speech_tools/*
#%{_libdir}/libFestival.so
#%{_libdir}/libFestival.so.*
#%{_libdir}/libestbase.a
#%{_libdir}/libestbase.so
#%{_libdir}/libestbase.so.*
#%{_libdir}/libestools.a
#%{_libdir}/libestools.so
#%{_libdir}/libestools.so.*
#%{_libdir}/libeststring.a
#%{_libdir}/libeststring.so
#%{_libdir}/libeststring.so.*

%{_datadir}/festival/lib/*.dtd
%{_datadir}/festival/lib/VCLocalRules
%{_datadir}/festival/lib/dicts/cmu/*
%{_datadir}/festival/lib/dicts/oald/*
%{_datadir}/festival/lib/dicts/wsj.wp39.*
%{_datadir}/festival/lib/dicts/COPYING.poslex
%{_datadir}/festival/lib/multisyn/*.scm
%{_datadir}/festival/lib/sable-latin.ent
%{_datadir}/festival/lib/scfg_wsj_wp20.gram
%{_datadir}/festival/lib/*.ngrambin
%{_datadir}/festival/lib/speech.properties
%{_datadir}/festival/lib/etc/unknown_Linux/*
%{_datadir}/festival/lib/etc/unknown_Linux/.made
%{_datadir}/festival/lib/etc/email_filter
%{_datadir}/festival/lib/festival.el

%dir %{_datadir}/festival
%{_datadir}/festival/lib/*.scm
%doc festival/COPYING festival/NEWS festival/README

%{_mandir}/man1/festival.1*
%{_mandir}/man1/festival_client.1*

%files voice-us
%defattr(-,root,root)
%dir %{_datadir}/festival/lib/voices/us
%{_datadir}/festival/lib/voices/us/*

%files voice-en
%defattr(-,root,root)
%dir %{_datadir}/festival/lib/voices/english
%{_datadir}/festival/lib/voices/english/*

%files voice-it
%defattr(-,root,root)
%dir %{_datadir}/festival/lib/voices/italian
%{_datadir}/festival/lib/voices/italian/*
%{_datadir}/festival/lib/italian_scm/*
%{_datadir}/festival/lib/dicts/ifd*

%changelog
* Tue Dec 08 2015 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Wed Jul 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-2mamba
- text2wave,saytime: fix %_builddir references in scripts

* Tue Jul 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-1mamba
- update to 2.1

* Mon Sep 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-2mamba
- added patches for build with gcc 4.4
- added festvox_cmu_us_* and festvox_cstr_us_* packages
- added patch and moved configuration files to /etc/festival
- removed esd patch
- added patch for shared library build

* Wed Aug 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-1mamba
- package created by autospec
